Search Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule
API call form
Examples

A schedule is an automated synchronization or screenshot task. This way you can automatically send screenshots with a certain frequency or specify how frequently a dataset has to be synchronized. Schedules can be created, updated and deleted by all users or group members with at least modifying rights to the securable.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
started_at DATETIME
frequency_quantity NUMBER
frequency_unit STRING
timezone STRING
active BOOLEAN
task OBJECT
retries NUMBER
completed_at DATETIME
scheduled_at DATETIME
last_execution_status STRING
last_execution_error STRING
last_execution_warning STRING
securable_id STRING
user_id STRING
created_at DATETIME
updated_at DATETIME
Can be executed by:
Entity Reader
Can be associated to:
Alert
Securable
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
      "task": null,
      "started_at": "2018-09-03T12:38:18.614Z",
      "frequency_quantity": 1,
      "frequency_unit": "day",
      "retries": 0,
      "active": true,
      "completed_at": "2018-09-03T12:38:18.614Z",
      "created_at": "2018-09-03T12:38:18.630Z",
      "updated_at": "2018-09-03T12:38:18.656Z",
      "last_execution_status": "completed",
      "last_execution_error": null,
      "last_execution_warning": null,
      "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
      "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
      "scheduled_at": "2018-09-04T12:38:18.614Z",
      "timezone": "Europe/Brussels",
      "securable": {
        "id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
        "type": "dataset",
        "subtype": "api",
        "name": {
          "en": "Customers.csv"
        },
        "description": null,
        "subtitle": null,
        "contents": null,
        "css": null,
        "source_dataset": null,
        "source_sheet": null,
        "source_query": null,
        "transformation": null,
        "rows": 2806,
        "featured": false,
        "modified_at": "2018-09-03T12:38:17.857Z",
        "cache": 0,
        "created_at": "2018-09-03T12:38:17.651Z",
        "updated_at": "2018-09-03T12:38:18.495Z",
        "template_id": null,
        "source_id": null,
        "modifier_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
        "owner_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda"
      }
    }
  ]
}